Get bulk operation
import requests
url = "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id} \
--header 'Authorization: Bearer <token>'{
"type": "deleteRule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"creationDate": "2026-07-13T18:04:12.190428685Z",
"lastModifiedBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"lastModified": "2026-07-13T18:04:14.902428685Z",
"status": "COMPLETED",
"lastHeartbeat": "2026-07-13T18:04:14.900484876Z",
"errorMessage": null,
"rules": [
{
"ruleId": "af2d99c0-3d11-4002-a5d0-835b673d7f32",
"status": "COMPLETED",
"errorMessage": null,
"detailedErrorMessage": null
}
]
}Get bulk operation
Retrieve details of a specific bulk operation including current status, individual rule statuses, and error messages for failed rules.
GET
/
bulk-operations
/
{id}
Get bulk operation
import requests
url = "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id} \
--header 'Authorization: Bearer <token>'{
"type": "deleteRule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"creationDate": "2026-07-13T18:04:12.190428685Z",
"lastModifiedBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"lastModified": "2026-07-13T18:04:14.902428685Z",
"status": "COMPLETED",
"lastHeartbeat": "2026-07-13T18:04:14.900484876Z",
"errorMessage": null,
"rules": [
{
"ruleId": "af2d99c0-3d11-4002-a5d0-835b673d7f32",
"status": "COMPLETED",
"errorMessage": null,
"detailedErrorMessage": null
}
]
}Authorizations
Response
200 - */*
OK
- Delete
- Edit
- Migrate
- Publish
- Unpublish
Summary of a bulk delete rule operation.
Was this page helpful?